//
//  MedtechSteppingAction.cc
//  medtech
//
//  Created by Baranyai David on 2018. 04. 01..
//

#include "MedtechSteppingAction.hh"

MedtechSteppingAction::MedtechSteppingAction(MedtechEventAction* eventAction) : G4UserSteppingAction(), fEventAction(eventAction), fScoringVolume(0)
{
    
}

MedtechSteppingAction::~MedtechSteppingAction()
{
    
}

void MedtechSteppingAction::UserSteppingAction(const G4Step* step)
{
    if (!fScoringVolume) {
        const MedtechDetectorConstruction* detectorConstruction
        = static_cast<const MedtechDetectorConstruction*>
        (G4RunManager::GetRunManager()->GetUserDetectorConstruction());
        fScoringVolume = detectorConstruction->GetScoringVolume();
    }
    
    // get volume of the current step
    G4LogicalVolume* volume
    = step->GetPreStepPoint()->GetTouchableHandle()
    ->GetVolume()->GetLogicalVolume();
    
    // check if we are in scoring volume
    if (volume != fScoringVolume) return;
    
    // collect energy deposited in this step
    G4double edepStep = step->GetTotalEnergyDeposit();
    fEventAction->AddEdep(edepStep);
}
