//
//  Parameters.cc
//  medtech
//
//  Created by Baranyai David on 2018. 04. 03..
//

#include "Parameters.hh"

Parameters* Parameters::getInstance()
{
    if (instance == 0)
    {
        instance = new Parameters();
    }
    
    return instance;
}

Parameters::Parameters() : ParticleEnergy(6), pgundegree(90)
{
    
}

/* Null, because instance will be initialized on demand. */
Parameters* Parameters::instance = 0;

int Parameters::GetParticleEnergy()
{
    return ParticleEnergy;
}

int Parameters::GetDegree()
{
    return pgundegree;
}

void Parameters::SetDegree(int d)
{
    pgundegree = d;
}

void Parameters::SetParticleEnergy(int p)
{
    ParticleEnergy = p;
}
